Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

unresolved packages installing HDP 2.4.2 on Suse?

Solved Go to solution

unresolved packages installing HDP 2.4.2 on Suse?

New Contributor

I'm following the 20160509 instructions for manually installing HDP. and getting a failure when I try to install the hadoop packages.

I'm running openSuse Leap42.1

When I do

$ zypper install hadoop

I get the following error output:

Loading repository data...

Reading installed packages...

Resolving package dependencies...

Problem: nothing provides hadoop_2_4_2_0_258 needed by hadoop-2.7.1.2.4.2.0-258.noarch

Solution 1: do not install hadoop-2.7.1.2.4.2.0-258.noarch

Solution 2: break hadoop-2.7.1.2.4.2.0-258.noarch by ignoring some of its dependencies

My repo list is:

# zypper repos # | Alias | Name | Enabled | GPG Check | Refresh

--+-----------------------------------+----------------------------------------+---------+-----------+--------

1 | HDP-2.4.2.0 | HDP Version - HDP-2.4.2.0 | Yes | ( ) No | No

2 | HDP-UTILS-1.1.0.20 | HDP Utils Version - HDP-UTILS-1.1.0.20 | Yes | ( ) No | No

3 | openSUSE-Ports-Leap-42.1-repo-oss | openSUSE-Ports-Leap-42.1-repo-oss | Yes | (r ) Yes | Yes

Why is this happening?

thanks,

-david

1 ACCEPTED SOLUTION

Accepted Solutions

Re: unresolved packages installing HDP 2.4.2 on Suse?

Super Guru

@david serafini what version of SUSE are you using?

5 REPLIES 5

Re: unresolved packages installing HDP 2.4.2 on Suse?

Super Guru

@david serafini what version of SUSE are you using?

Re: unresolved packages installing HDP 2.4.2 on Suse?

New Contributor

@Sunile Manjee openSuse Leap42.1 on ARM64

Re: unresolved packages installing HDP 2.4.2 on Suse?

Super Guru

@david serafini I see the following SuSE version supported:

64-bit SUSE Linux Enterprise Server (SLES) 11, SP3/SP4

Please confirm you are on this version.

Re: unresolved packages installing HDP 2.4.2 on Suse?

Super Guru

@david serafini I can't answer about the impact of difference. However I can recommend being consistent with the versions supported. If it is not listed I would not do it. You will run into issues ie like the ones you are running into now. Just my .02

Re: unresolved packages installing HDP 2.4.2 on Suse?

New Contributor

@Sunile Manjee I believe leap42 is based on SLES12. Will that make a big difference?

Don't have an account?
Coming from Hortonworks? Activate your account here